

.admin-wrapper{
    display:flex;
    min-height:100vh;
}

/* SIDEBAR */
.sidebar{
    width:240px;
    background:linear-gradient(135deg, #1f3c88, #1f2937);
    color:white;
    position:fixed;
    height:100%;
    transition:.3s;
    left: 0;
}

.sidebar-header{
    padding:18px;
    display:flex;
    align-items:center;
    justify-content:space-between;
    border-bottom:1px solid rgba(255,255,255,.1);
}

.logo{
    font-weight:600;
    font-size:18px;
}

.menu{
    list-style:none;
    padding:0;
    margin:0;
}

.menu li a{
    display:flex;
    align-items:center;
    gap:10px;
    padding:12px 18px;
    color:#cbd5e1;
    text-decoration:none;
}

.menu li a:hover{
    background:#374151;
    color:white;
}

.submenu{
    background:#111827;
}

.submenu a{
    padding-left:45px;
    font-size:14px;
}

/* MAIN */
.main{
    flex:1;
    margin-left:240px;
    transition:.3s;
    display:flex;
    flex-direction:column;
}

.sidebar.closed + .main{
margin-left:0;
}


/* TOPBAR */
.topbar{
    height:60px;
    background:white;
    border-bottom:1px solid #e5e7eb;
    display:flex;
    align-items:center;
    padding:0 20px;
}

/* CONTENT */

.content{
    padding:25px;
}

/* CARDS */

.card{
    border:none;
    box-shadow:0 2px 6px rgba(0,0,0,0.05);
}

/* MOBILE */
@media(max-width:991px){
    .content{padding: 10px; }

    .card-body {
        padding: 15px;
    }

    fieldset {
        margin-bottom: 15px;
    }

    .btn {
        width: 100%;
        margin-bottom: 10px;
    }

    .sidebar {
        position: fixed;
        left: -240px;
        top: 0;
        height: 100%;
        z-index: 999;
        background: #1f2937;
        transition: 0.3s;
    }

    .sidebar.active {
        left: 0;
    }

    .main{
        margin-left:0;
    }

}

fieldset {
    position: relative;
    border: 1px solid #dee2e6;
    border-radius: 8px;
    padding: 25px 20px 20px;
    margin-bottom: 20px;
    background: #fff;
}

legend {
    position: absolute;
    top: -10px;
    left: 10px;

    padding: 0 10px;
    font-size: 14px;
    font-weight: 600;

    background: #fff; 
    color: #495057;

    border: 1px solid transparent;
    width: fit-content;
}



/* FIELDSET INTERNO */
fieldset fieldset {
    border: 3px solid #dee2e6;
    background: #f9fafb;
    padding: 15px 15px 15px 20px;
}
/* LEGEND INTERNO */
fieldset fieldset > legend {
    font-weight: 900;
    width: initial;
}

/* Base */
body{
    background:#f4f6f9;
    font-family:system-ui;
}

/* Login */

.login-body{
    background:linear-gradient(135deg,#4e73df,#224abe);
}

/* Cards */
.card {
    border-radius: 12px;
}
.card h2{
    font-weight:bold;
}

.card-icon{
    font-size:28px;
    opacity:0.8;
}

.stat-card{
    border:none;
    border-radius:12px;
}
.overlay {
    display: none;
}

.overlay.active {
    display: block;
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 998;
}
.bg-gray{
    background-color: #ccc !important;
}

.page-link{
    color: #6c757d !important;
    border-color: #6c757d !important;
    background-color: #fff !important;
}

.page-item.active .page-link{
    background-color: #6c757d !important;
    border-color: #fff !important;
    color: #fff !important;
}